0 Replies Latest reply on Feb 22, 2011 5:02 AM by Manuel Lara Caro

    JCE cannot authenticate BouncyCastle

    Manuel Lara Caro Novice

      I need to use the BouncyCastle JAR to read PKCS 12 keystore, but i ever get this error message:


      java.io.IOException: error constructing MAC: java.security.NoSuchProviderException: JCE cannot authenticate the provider BC


      I've installed this JAR with the following command:


      install wrap:mvn:bouncycastle/bcprov-jdk15




      Edited by: larasith on Feb 22, 2011 10:02 AM